#include <SDL/SDL.h>
#include <caml/mlvalues.h>
#include <caml/alloc.h>
#include <caml/memory.h>

#include "shared.h"

int flag_to_appstate[] = {
    0x01, 0x02, 0x04
};
#define FLAG_TO_APPSTATE_SIZE 	3

value get_app_state(value u)
{
    CAMLparam1(u);
    CAMLreturn(mask_to_ML_flags(SDL_GetAppState(), 
	flag_to_appstate, FLAG_TO_APPSTATE_SIZE));
}
